List all Products and Packaging
Returns a list of Products (SKUs) or Packaging Features
specified by the type path parameter and according to the request body.
Authorizations
Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.
Path Parameters
This field determines which types of products will be matched. Regular SKUs belonging to a single merchant are known as "normal" products, while the other types are pertaining to Packaging Features. For read-only operations, you may also specify one of the following meta-types which represent multiple individual types:
anyreturns all typesstockablereturns only types that can be managed with inventory (all exceptdata_collectionandinstructions)packagingreturns all types except fornormal
any, normal, stockable, packaging, containers, supplies, data_collection, instructions, infill Query Parameters
Specify additional fields of the Product or Packaging object to be included in the response.
See the selecting fields page for more information.
Specify additional fields of the Product or Packaging* object to be included in the response.
basic, all, created_at, updated_at, container_options, supplies_options, data_collection_options, instruction_options, infill_options, vendor_sku, manufacturer_part_number, external_id, barcodes, goods_type, is_available, is_visible, weight, dimensions, volume, inventory, export, regulated_goods, packaging, custom_fields Specify additional fields of the Merchant object to be included in the response. See the selecting fields page for more information.
basic, all, code, name, status, created_at, updated_at, brands, default_brand, custom_fields Specify additional fields of the Brand object to be included in the response. See the selecting fields page for more information.
basic, all, code, name, is_active, is_deleted, sort_order Specify additional fields of the Brand object to be included in the response. See the selecting fields page for more information.
basic, all, code, name, is_active, is_deleted, sort_order Specify additional fields of the LotType object to be included in the response.
basic, all, allow_mixing_locations, allow_mixing_fulfillment, lot_number_example, lot_number_replacement, expiration_date_pattern, expiration_date_delta, created_at, updated_at Using the filtering syntax, you may filter the results using the following fields:
idnameis_enabled
The default sort order is descending by primary key (sort=-id). The following fields are available for sorting:
idskunameis_enabledmerchant
If specified as 1, the meta.count property of the response will be present and populated with the total count of items
matching the query before any paging is applied. This is not included by default to improve performance in some edge
cases and is not required to perform paging using the next property of the response.
See paging parameters for more information.
0 <= x <= 1A cursor for use in pagination which defines the last id of the next page of results, non-inclusive.
See paging parameters for more information on paging.
A cursor for use in pagination which defines the starting id of the next page of results.
See paging parameters for more information on paging.
A limit on the number of objects to be returned.
1 <= x <= 1000100
Response
A dictionary with a collection property that contains an array of up to limit Products or Packaging features. If no products or packaging features are found the response will be an empty array.
A Product contains information about a sellable item.
- Product
- PackagingContainer
- PackagingSupplies
- PackagingDataCollection
- PackagingInstruction
- PackagingInfill
Lists of referenced objects included by specifying optional fields. See the selecting fields page for more information.
True if the collection has more items on the next page. Use the "next" link to retrieve the next page of results.
The resource path for the next page of results if any are expected.
The resource path for the previous page of results if any are expected.
Additional metadata pertaining to the response.